Bug 97085 - TB re.py:79:compile: pcre.error: ('nothing to repeat', 9)
TB re.py:79:compile: pcre.error: ('nothing to repeat', 9)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-10 00:18 EDT by Need Real Name
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-05 09:54:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-06-10 00:18:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030314

Description of problem:
When attempting to modify anything within the Network Config GUI, the
application crashes when 'Apply' is selected.

Editing details of a particular connection (eth0) is successful, but upon
hitting 'Apply' or 'OK', the program crashes. This is also true of trying to
activate/deactivate connections. Error output was placed in the additional
information box.

No information need be changed for the error to occur, one need merley view a
devices properties by hitting Edit, click OK, and then click Apply.

Version-Release number of selected component (if applicable):
redhat-config-network-1.0.4-2

How reproducible:
Always

Steps to Reproduce:
1.Open Network Config control panel
2.Select a device and click Edit
3.Click OK
4.Click APPLY
    

Actual Results:  An Unhandled Exception error occurs and I am advised to submit
the info in the Additional Information box to bugzilla.

Expected Results:  Information saved and control returned to the Network Config
window.

Additional info:

Traceback (innermost last):
  File "/usr/sbin/neat", line 1445, in ?
    gtk.mainloop()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2676, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/libglade.py", line 28, in __call__
    ret = apply(self.func, a)
  File "/usr/sbin/neat", line 481, in on_applyButton_clicked
    self.save()
  File "/usr/sbin/neat", line 319, in save
    self.saveProfiles()
  File "/usr/sbin/neat", line 335, in saveProfiles
    profilelist.save()
  File "/usr/bin/../share/redhat-config-network/netconfpkg/NCProfileList.py",
line 301, in save
    hoconf[host.Hostname] = [host.IP, host.AliasList]
  File "/usr/bin/../share/redhat-config-network/netconfpkg/Conf.py", line 460,
in __setitem__
    while self.findnextline('^\S*[' + self.separators + ']+' + varname):
  File "/usr/bin/../share/redhat-config-network/netconfpkg/Conf.py", line 192,
in findnextline
    if re.search(regexp, self.lines[self.line]):
  File "/usr/lib/python1.5/site-packages/re.py", line 43, in search
    return _cachecompile(pattern, flags).search(string)
  File "/usr/lib/python1.5/site-packages/re.py", line 33, in _cachecompile
    value = compile(pattern, flags)
  File "/usr/lib/python1.5/site-packages/re.py", line 79, in compile
    code=pcre_compile(pattern, flags, groupindex)
pcre.error: ('nothing to repeat', 9)

Local variables in innermost frame:
pattern: ^\S*[	 ]+***
groupindex: {}
flags: 0
Comment 1 Harald Hoyer 2003-06-27 07:06:05 EDT
which version of rhpl do you have?
$ rpm -q rhpl
Comment 2 Need Real Name 2003-06-27 14:45:16 EDT
What package are you referring to?

rpm -q rhpl returns package not installed. 

Additionally, when I search on rhpl in the list of packages at RedHat, it is 
not identified as a known package.

I am not sure what you are looking for.
Comment 3 Harald Hoyer 2003-06-29 11:54:18 EDT
forgot, that rhpl was introduced in 8 and is not part of 7.x... sorry

Note You need to log in before you can comment on or make changes to this bug.